<?php declare(strict_types=1);

use PHPUnit\Framework\TestCase;
use App\Notification\Ntfy;

use Ntfy\Server;
use Ntfy\Client;
use Ntfy\Message;
final class NtfyTest extends TestCase
{
    /**
     * @doesNotPerformAssertions
     */
    public function testDoesSomething(): void
    {
        //Dependency
        $client = $this->createStub(Client::class);

        $sut = new Ntfy($client);

        $client->expects($this->once())->method('send');
        $sut->send('title','text');
    }
}